Skip to main content
POST
/
v1
/
campaigns
Create a campaign
curl --request POST \
  --url https://api.givebutter.com/v1/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "general",
  "title": "<string>",
  "subtitle": "<string>",
  "website": "<string>",
  "description": "<string>",
  "goal": 1,
  "end_at": "2023-11-07T05:31:56Z",
  "slug": "<string>",
  "beneficiary_id": 123,
  "timezone": "<string>",
  "currency": "USD",
  "settings": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "code": "<string>",
  "account_id": "<string>",
  "event_id": "<string>",
  "type": "<string>",
  "title": "<string>",
  "subtitle": "<string>",
  "description": "<string>",
  "slug": "<string>",
  "url": "<string>",
  "goal": 123,
  "raised": 123,
  "donors": 123,
  "currency": "<string>",
  "cover": "<string>",
  "status": "<string>",
  "timezone": "<string>",
  "end_at": "<string>",
  "settings": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>",
  "event": {
    "title": "<string>",
    "type": "<string>",
    "location_name": "<string>",
    "address_formatted": "<string>",
    "google_place_id": "<string>",
    "start_at": "<string>",
    "end_at": "<string>",
    "timezone": "<string>",
    "details": "<string>",
    "private": "<string>",
    "tickets_required": "<string>",
    "livestream": "<string>",
    "livestream_start_at": "<string>",
    "livestream_end_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required
Available options:
general,
collect,
fundraise,
event
Maximum string length: 255
title
string
required
Maximum string length: 150
subtitle
string | null
Maximum string length: 255
website
string<uri> | null
Maximum string length: 255
description
string | null
goal
integer | null
Required range: x >= 0
end_at
string<date-time> | null
slug
string
Maximum string length: 255
beneficiary_id
integer | null
timezone
string | null
Maximum string length: 255
currency
enum<string>
Available options:
USD
settings
string[] | null

Response

CampaignResource

id
string
required
code
string
required
account_id
string
required
event_id
string
required
type
string
required
title
string
required
subtitle
string
required
description
string
required
slug
string
required
url
string
required
goal
integer | null
required
raised
number
required
donors
integer
required
currency
string
required
cover
string
required
status
string
required
timezone
string
required
end_at
string
required
settings
CampaignSettingResource · object[]
required
created_at
string
required
updated_at
string
required
event
EventResource · object